Bug 1316227 - module not found
module not found
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 12:44 EST by Didier
Modified: 2016-06-13 10:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 10:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Didier 2016-03-09 12:44:56 EST
Description of problem:
sectool crash

Version-Release number of selected component (if applicable):
0.9.5-16.fc23

How reproducible:
always


Steps to Reproduce:
1. just install sectool 
2.
3.

Actual results:
Traceback (most recent call last):
  File "/usr/sbin/sectool", line 48, in <module>
    import import_marker
ImportError: No module named import_marker

Expected results:
running application

Additional info:
Comment 1 Didier 2016-03-10 06:04:15 EST
After installing pygobject2 package, direct import of module slip.dbus.service works and sectool run as expected.

here is the portion of code

try:
    # try to import the module installed in the system
    import slip.dbus.service
except ImportError:
    # try to find the module in the unpacked source tree
    import sys
    import os.path
    import import_marker

import_maker module cannot be found but who's care now ....

So can I suggest to manually add pygobject2 to dependency in spec file

thanks
Comment 2 Fedora Admin XMLRPC Client 2016-06-13 08:51:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2016-06-13 10:13:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Daniel Kopeček 2016-06-13 10:16:05 EDT
The sectool project is no longer developed nor maintained upstream. As a replacement, try the OpenSCAP project (https://www.open-scap.org) and its sectool SCL content (openscap-content-sectool package).

Note You need to log in before you can comment on or make changes to this bug.